Subject: Detecting backup slaves of bonding interface in network driver

From: Poornima Kamath <[email-masked]>
Date: Thu, 11 Dec 2008 18:04:31 +0530

Hi,
I have a network driver which creates virtual ethernet interfaces. I am 
using the bonding driver in the active backup mode for failover.
I want to detect the interfaces which are backup slaves in the driver.
I found that the  bonding driver sets the IFF_SLAVE_INACTIVE private 
flag of net_device structure for all the backup slaves.
But I dont see any callbacks in my driver when this flag is set.
I am planning to check the netdevice flags in the driver. Is it 
recommended to check the private flags of net_device ?
Or is there some better way in which I can find the backup slaves?

Thanks,
Poornima